import { DropdownButtonItemSettings } from '../../types/dropdownButtonItem';
import { Optional } from '../../types/utilityTypes';
import { ActiveTable } from '../../activeTable';
export declare class DropdownItem {
    static readonly DROPDOWN_ITEM_CLASS = "dropdown-item";
    private static readonly DISABLED_ITEM_CLASS;
    static readonly ACTIVE_ITEM_CLASS = "active-dropdown-item";
    static readonly DROPDOWN_INPUT_CLASS = "dropdown-input";
    private static readonly DROPDOWN_ITEM_ICON_CONTAINER_CLASS;
    static readonly DROPDOWN_INPUT_ITEM_CLASS = "dropdown-input-item";
    static readonly DROPDOWN_TITLE_ITEM_CLASS = "dropdown-title-item";
    static readonly DROPDOWN_ITEM_DIVIDER_CLASS = "dropdown-item-divider";
    private static readonly DROPDOWN_ITEM_EMPTY_CLASS;
    private static readonly DROPDOWN_ITEM_EMPTY_PLACEHOLDER_TEXT;
    static readonly DROPDOWN_ITEM_IDENTIFIER = "dropdown-item-identifier";
    private static readonly HIDDEN;
    private static readonly DISPLAY;
    static toggleItem(item: HTMLElement, isDisplay: boolean): void;
    static isDisplayed(item: HTMLElement): boolean;
    private static createDropdownItemBaseElement;
    private static createItem;
    static addInputItem(at: ActiveTable, dropdownElement: HTMLElement): void;
    private static insertIcon;
    static addPlaneButtonItem(dropdownElement: HTMLElement | undefined, text: string, index?: number): ActiveTable | HTMLElement | HTMLTableElement | HTMLInputElement | HTMLDivElement | HTMLTableCellElement | HTMLFormElement | HTMLLabelElement | HTMLDataListElement | HTMLObjectElement | HTMLDataElement | HTMLProgressElement | HTMLSelectElement | HTMLMapElement | HTMLAnchorElement | HTMLAreaElement | HTMLAudioElement | HTMLBaseElement | HTMLQuoteElement | HTMLBodyElement | HTMLBRElement | HTMLButtonElement | HTMLCanvasElement | HTMLTableCaptionElement | HTMLTableColElement | HTMLModElement | HTMLDetailsElement | HTMLDialogElement | HTMLDListElement | HTMLEmbedElement | HTMLFieldSetElement | HTMLHeadingElement | HTMLHeadElement | HTMLHRElement | HTMLHtmlElement | HTMLIFrameElement | HTMLImageElement | HTMLLegendElement | HTMLLIElement | HTMLLinkElement | HTMLMenuElement | HTMLMetaElement | HTMLMeterElement | HTMLOListElement | HTMLOptGroupElement | HTMLOptionElement | HTMLOutputElement | HTMLParagraphElement | HTMLPictureElement | HTMLPreElement | HTMLScriptElement | HTMLSlotElement | HTMLSourceElement | HTMLSpanElement | HTMLStyleElement | HTMLTableSectionElement | HTMLTemplateElement | HTMLTextAreaElement | HTMLTimeElement | HTMLTitleElement | HTMLTableRowElement | HTMLTrackElement | HTMLUListElement | HTMLVideoElement;
    static createButtonItemNoEvents(dropdown: HTMLElement | undefined, itemSettings: Optional<DropdownButtonItemSettings, 'iconSettings'>, ...classNames: string[]): ActiveTable | HTMLElement | HTMLTableElement | HTMLInputElement | HTMLDivElement | HTMLTableCellElement | HTMLFormElement | HTMLLabelElement | HTMLDataListElement | HTMLObjectElement | HTMLDataElement | HTMLProgressElement | HTMLSelectElement | HTMLMapElement | HTMLAnchorElement | HTMLAreaElement | HTMLAudioElement | HTMLBaseElement | HTMLQuoteElement | HTMLBodyElement | HTMLBRElement | HTMLButtonElement | HTMLCanvasElement | HTMLTableCaptionElement | HTMLTableColElement | HTMLModElement | HTMLDetailsElement | HTMLDialogElement | HTMLDListElement | HTMLEmbedElement | HTMLFieldSetElement | HTMLHeadingElement | HTMLHeadElement | HTMLHRElement | HTMLHtmlElement | HTMLIFrameElement | HTMLImageElement | HTMLLegendElement | HTMLLIElement | HTMLLinkElement | HTMLMenuElement | HTMLMetaElement | HTMLMeterElement | HTMLOListElement | HTMLOptGroupElement | HTMLOptionElement | HTMLOutputElement | HTMLParagraphElement | HTMLPictureElement | HTMLPreElement | HTMLScriptElement | HTMLSlotElement | HTMLSourceElement | HTMLSpanElement | HTMLStyleElement | HTMLTableSectionElement | HTMLTemplateElement | HTMLTextAreaElement | HTMLTimeElement | HTMLTitleElement | HTMLTableRowElement | HTMLTrackElement | HTMLUListElement | HTMLVideoElement;
    static addTitle(dropdownElement: HTMLElement, text: string): void;
    static addDivider(dropdownElement: HTMLElement): void;
    static addButtonItem(at: ActiveTable, dropdown: HTMLElement, itemSettings: Optional<DropdownButtonItemSettings, 'iconSettings'>, ...classNames: string[]): ActiveTable | HTMLElement | HTMLTableElement | HTMLInputElement | HTMLDivElement | HTMLTableCellElement | HTMLFormElement | HTMLLabelElement | HTMLDataListElement | HTMLObjectElement | HTMLDataElement | HTMLProgressElement | HTMLSelectElement | HTMLMapElement | HTMLAnchorElement | HTMLAreaElement | HTMLAudioElement | HTMLBaseElement | HTMLQuoteElement | HTMLBodyElement | HTMLBRElement | HTMLButtonElement | HTMLCanvasElement | HTMLTableCaptionElement | HTMLTableColElement | HTMLModElement | HTMLDetailsElement | HTMLDialogElement | HTMLDListElement | HTMLEmbedElement | HTMLFieldSetElement | HTMLHeadingElement | HTMLHeadElement | HTMLHRElement | HTMLHtmlElement | HTMLIFrameElement | HTMLImageElement | HTMLLegendElement | HTMLLIElement | HTMLLinkElement | HTMLMenuElement | HTMLMetaElement | HTMLMeterElement | HTMLOListElement | HTMLOptGroupElement | HTMLOptionElement | HTMLOutputElement | HTMLParagraphElement | HTMLPictureElement | HTMLPreElement | HTMLScriptElement | HTMLSlotElement | HTMLSourceElement | HTMLSpanElement | HTMLStyleElement | HTMLTableSectionElement | HTMLTemplateElement | HTMLTextAreaElement | HTMLTimeElement | HTMLTitleElement | HTMLTableRowElement | HTMLTrackElement | HTMLUListElement | HTMLVideoElement;
    static addNewButtonItems(at: ActiveTable, dropdownElement: HTMLElement, itemsSettings: DropdownButtonItemSettings[]): HTMLElement[];
    static addButtonItemElements(at: ActiveTable, dropdownElement: HTMLElement, elements: HTMLElement[]): void;
    static removeItems(dropdown: HTMLElement): void;
    static doesElementContainItemClass(element: HTMLElement): boolean;
    static doesElementContainInputClass(element: HTMLElement): boolean;
    static getInputElement(dropdownElement: HTMLElement): Element;
    static toggleUsability(item: HTMLElement, isUsable: boolean): void;
}
//# sourceMappingURL=dropdownItem.d.ts.map